<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>网络管理系统</title>
<link rel="stylesheet" type="text/css" href="../style/simplemodal.css" />
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/port_backup.js"></script>
<script type="text/javascript">
var language = CHINESE;
</script>
<style type="text/css">
.button_area_width
{
	width: 312px;
}
table select
{
	width: 300px;
}
.port_desc
{
	background: #f6f6f6;
	text-align: left;
	padding-left: 6px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">端口备份</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="添 加" class="input_normal" onclick="addBackup();" />
        <input type="button" id="batchModifyBtn" value="批量修改" class="input_normal" onclick="batchModifyBackup();"/>
        <input type="button" id="deleteBtn" value="删 除" class="input_normal" onclick="deleteBackup();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="dataTable">
      <tr>
        <th style="width:18px">
          <input type="checkbox" id="checkAll" class="all_check" onclick="checkAll(); "/>
        </th>
        <th style="width:40px">类型</th>
        <th style="width:40px">板卡</th>
        <th style="width:83px">端口</th>
        <th>描述</th>
        <th style="width:122px">复用码率范围 (Kbps)</th>
        <th style="width:85px">当前复用码率</th>
        <th style="width:75px">检测延时 (s)</th>
        <th style="width:68px">备份模式</th>
        <th style="width:68px">工作状态</th>
        <th style="display: none">同步丢失错</th>
        <th style="display: none">同步字节错</th>
        <th style="display: none">PAT错误</th>
        <th style="width:40px">操作</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="mainDataRow0" class="mainCaseRow">
        <td rowspan="2">
          <input type="checkbox" class="row_check" id="check0" />
        </td>
        <td class="special">主路</td>
        <td>
          <span id="mainCard0"></span>
        </td>
        <td>
          <span id="mainPort0"></span>
        </td>
        <td>
          <span id="mainDescription0"></span>
        </td>
        <td>
          <span id="mainMinRate0"></span>
          ~
          <span id="mainMaxRate0"></span>
        </td>
        <td>
          <span id="mainCurRate0"></span>
        </td>
        <td>
          <span id="mainSwitchDelay0"></span>
        </td>
        <td rowspan="2">
          <span id="backupMode0"></span>
        </td>
        <td rowspan="2">
          <span id="workState0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="syncLossError0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="syncByteError0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="patError0"></span>
        </td>
        <td rowspan="2">
          <img id="modify0" src="../style/images/xiugai.png" class="img_hand" title="编辑" style="cursor:pointer" onclick="modifyBackup($(this))" />
        </td>
      </tr>
      <tr id="backupDataRow0" class="backupCaseRow">
        <td class="special">备路</td>
        <td>
          <span id="backupCard0"></span>
        </td>
        <td>
          <span id="backupPort0"></span>
        </td>
        <td>
          <span id="backupDescription0"></span>
        </td>
        <td>
          <span id="backupMinRate0"></span>
          ~
          <span id="backupMaxRate0"></span>
        </td>
        <td>
          <span id="backupCurRate0"></span>
        </td>
        <td>
          <span id="backupSwitchDelay0"></span>
        </td>
      </tr>
    </table>
  </div>
  <div id="editBackup" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">添加/修改</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">主路板卡</th>
        <td class="header">
          <select id="editMainCard" onchange="populateMainPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>主路端口</th>
        <td>
          <select id="editMainPort" onchange="getPortName(1);">
          </select>
        </td>
      </tr>
      <tr>
        <th>主路端口描述</th>
        <td class="port_desc">
          <span id="editMainPortName"></span>
        </td>
      </tr>
      <tr>
        <th>主路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="editMainMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>主路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="editMainMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>主路检测延时 (s)</th>
        <td>
          <input type="text" id="M2BSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>备路板卡</th>
        <td>
          <select id="editBackupCard" onchange="populateBackupPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>备路端口</th>
        <td>
          <select id="editBackupPort" onchange="getPortName(2);">
          </select>
        </td>
      </tr>
      <tr>
        <th>备路端口描述</th>
        <td class="port_desc">
          <span id="editBackupPortName"></span>
        </td>
      </tr>
      <tr>
        <th>备路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="editBackupMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>备路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="editBackupMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>备路检测延时 (s)</th>
        <td>
          <input type="text" id="B2MSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>备份模式</th>
        <td>
          <select id="editBackupMode">
            <option value="1">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3" selected="selected">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>TR101 290</th>
        <td>
          <input type="checkbox" id="syncLossErrorCheck" />
          同步丢失错
          <input type="checkbox" id="syncByteErrorCheck" />
          同步字节错
          <input type="checkbox" id="patErrorCheck" />
          PAT错误 </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="editBackuptBtn" value="应 用" class="input_normal" onclick="editBackupApply();" />
      <input type="button" id="cancelEditBackupBtn" value="取 消" class="input_normal" onclick="cancelEdit();"/>
    </div>
  </div>
  <div id="batchModifyBackupDiv" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">批量修改</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">参数</th>
        <th class="header">值 </th>
        <th class="header">
          <input type="checkbox" id="allApplyCheck" />
        </th>
      </tr>
      <tr>
        <th>主路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="batchMainMinRate" value="1000" />
        </td>
        <td>
          <input type="checkbox" class="apply_check" id="batchMainMinRateCheck" />
        </td>
      </tr>
      <tr>
        <th>主路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="batchMainMaxRate" value="100000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchMainMaxRateCheck" />
        </td>
      </tr>
      <tr>
        <th>主路检测延时 (s)</th>
        <td>
          <input type="text" id="batchM2BSwitchTime" value="1" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchM2BSwitchTimeCheck" />
        </td>
      </tr>
      <tr>
        <th>备路复用码率下限 (Kbps)</th>
        <td>
          <input type="text" id="batchBackupMinRate" value="1000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupMinRateCheck" />
        </td>
      </tr>
      <tr>
        <th>备路复用码率上限 (Kbps)</th>
        <td>
          <input type="text" id="batchBackupMaxRate" value="100000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupMaxRateCheck" />
        </td>
      </tr>
      <tr>
        <th>备路检测延时 (s)</th>
        <td>
          <input type="text" id="batchB2MSwitchTime" value="1" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchB2MSwitchTimeCheck" />
        </td>
      </tr>
      <tr>
        <th>备份模式</th>
        <td>
          <select id="batchBackupMode">
            <option value="1">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3" selected="selected">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupModeCheck" />
        </td>
      </tr>
      <tr>
        <th rowspan="3">TR101 290</th>
        <td style="text-align:left">
          <input type="checkbox" id="batchSyncLossError" />
          同步丢失错 </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchSyncLossErrorCheck" />
        </td>
      </tr>
      <tr>
        <td style="text-align:left">
          <input type="checkbox" id="batchSyncByteError" />
          同步字节错 </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchSyncByteErrorCheck" />
        </td>
      </tr>
      <tr>
        <td style="text-align:left">
          <input type="checkbox" id="batchPatError" />
          PAT错误 </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchPatErrorCheck" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="batchModifyApplyBtn" value="应 用" class="input_normal" onclick="batchModifyApply();" />
      <input type="button" id="batchCancelBtn" value="取 消" class="input_normal" onclick="batchCancel();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
